## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate rustls

# compile and run tests only on supported architectures
%global supported_arches x86_64 %{ix86} aarch64 %{arm}

Name:           rust-rustls
Version:        0.21.1
Release:        %autorelease
Summary:        Modern TLS library written in Rust

License:        Apache-2.0 OR ISC OR MIT
URL:            https://crates.io/crates/rustls
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rustls is a modern TLS library written in Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-ISC
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dangerous_configuration-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dangerous_configuration-devel %{_description}

This package contains library source intended for building other packages which
use the "dangerous_configuration" feature of the "%{crate}" crate.

%files       -n %{name}+dangerous_configuration-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quic-devel %{_description}

This package contains library source intended for building other packages which
use the "quic" feature of the "%{crate}" crate.

%files       -n %{name}+quic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+read_buf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+read_buf-devel %{_description}

This package contains library source intended for building other packages which
use the "read_buf" feature of the "%{crate}" crate.

%files       -n %{name}+read_buf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustversion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustversion-devel %{_description}

This package contains library source intended for building other packages which
use the "rustversion" feature of the "%{crate}" crate.

%files       -n %{name}+rustversion-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+secret_extraction-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+secret_extraction-devel %{_description}

This package contains library source intended for building other packages which
use the "secret_extraction" feature of the "%{crate}" crate.

%files       -n %{name}+secret_extraction-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls12-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls12-devel %{_description}

This package contains library source intended for building other packages which
use the "tls12" feature of the "%{crate}" crate.

%files       -n %{name}+tls12-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
# * files needed for integration tests are not included in published crates
%cargo_test -- --lib -- --skip msgs::message_test::test_read_fuzz_corpus
%cargo_test -- --doc
%endif
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.21.1-1
- Update to version 0.21.2; Fixes RHBZ#2182860

* Sat Mar 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.8-1
- Update to version 0.20.8; Fixes RHBZ#2007947

* Sun Mar 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.19.1-8
- Regenerate with rust2rpm v24

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.19.1-6
- Drop unused, benchmark-only criterion dev-dependency

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 16 2021 Fabio Valentini <decathorpe@gmail.com> - 0.19.1-1
- Initial package

